Subject: Re: [PATCH v2 3/6] mtd: rawnand: sunxi: do not count BBM bytes twice

From: Miquel Raynal <[email-masked]>
Date: Mon, 09 Mar 2026 16:27:42 +0100

Hello Richard,

On 05/03/2026 at 11:01:34 +01, Richard Genoud <[email-masked]> wrote:

> BBM is part of USER_DATA section, so we should remove it twice

Maybe you mean "is already part" and as such the end of the sentence
should be that "we should *not* remove it twice"?

> This was working ok because we are on the safe size, advertising that
> there was 2 bytes less available than in reality.
>
> But we can't change old platforms, since it may lead to a different ECC
> strength, so, introduce a legacy flag for old platforms, and switch the
> new platforms to the correct count.
>
> Signed-off-by: Richard Genoud <[email-masked]>

Thanks,
Miquèl